Bug 213862 - Gutenprint PPDs not displayed right
Gutenprint PPDs not displayed right
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 213863
  Show dependency treegraph
 
Reported: 2006-11-03 09:47 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 12:16:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-03 09:47:39 EST
Description of problem:
After installing gutenprint-cups from Extras, the printer model list shows
Gutenprint PPDs as separate printer models.

Version-Release number of selected component (if applicable):
0.7.33-1

Fix is:
--- foomatic.py 25 Oct 2006 16:56:28 -0000      1.32
+++ foomatic.py 3 Nov 2006 14:42:04 -0000
@@ -64,0 +65,6 @@
+    # Gutenprint PPDs have NickNames that end:
+    # ... - CUPS+Gutenprint v5.0.0
+    gutenprint = model.find (" - CUPS+Gutenprint")
+    if gutenprint != -1:
+        model = model[:gutenprint]
+
Comment 1 Tim Waugh 2006-11-07 04:17:55 EST
Same problem with Gimp-Print PPDs.
Comment 2 Fedora Update System 2006-11-09 12:03:22 EST
Fixed in update: system-config-printer-0.7.35-1.fc6

Note You need to log in before you can comment on or make changes to this bug.